> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1checkoutcreate intent



## OpenAPI

````yaml /api-reference/openapi.json post /v1/checkout/create-intent
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/checkout/create-intent:
    post:
      tags:
        - PublicCheckout
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CheckoutCheckoutCreateIntentRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/CheckoutCheckoutCreateIntentRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/CheckoutCheckoutCreateIntentRequest'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsDataAccessServicesBillingCreateCheckoutPaymentIntentResponse
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsDataAccessServicesBillingCreateCheckoutPaymentIntentResponse
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsDataAccessServicesBillingCreateCheckoutPaymentIntentResponse
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
components:
  schemas:
    CheckoutCheckoutCreateIntentRequest:
      type: object
      properties:
        documentId:
          type: integer
          format: int64
        documentType:
          type: string
          nullable: true
        payerEmail:
          type: string
          nullable: true
        payerName:
          type: string
          nullable: true
        payerUserId:
          type: integer
          format: int64
          nullable: true
        description:
          type: string
          nullable: true
        statementDescriptor:
          type: string
          nullable: true
      additionalProperties: false
    SmartbillsDataAccessServicesBillingCreateCheckoutPaymentIntentResponse:
      type: object
      properties:
        success:
          type: boolean
        paymentId:
          type: integer
          format: int64
          nullable: true
        clientSecret:
          type: string
          nullable: true
        paymentIntentId:
          type: string
          nullable: true
        stripeAccountId:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
    MicrosoftAspNetCoreMvcProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}

````